import 'package:flutter/material.dart';
import 'package:iroute/iroute.dart';
import 'iroute_appShell.dart';

//import 'routes.dart';

class IrouteApp extends StatefulWidget {
  IrouteApp({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;
  @override
  State<StatefulWidget> createState() =>
      _IrouteAppState(routes: routes, pageList: pageList);
}

class _IrouteAppState extends State<IrouteApp> {
  _IrouteAppState({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;
  // final mainRouterDelegate =
  //     IRouteMaster(child: AppShell(urlStack: widget.urlStack));
  final IRouteInformationParser mainRouteInformationParser =
      IRouteInformationParser();
  @override
  Widget build(BuildContext context) {
    return MaterialApp.router(
      title: 'Books App',
      routerDelegate: IRouteMaster(
          child: IrouteAppShell(pageList: pageList, routes: routes)),
      routeInformationParser: mainRouteInformationParser,
      debugShowCheckedModeBanner: false,
    );
  }
}
